This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 456362 - Review Request: perl-DBIx-Class-Schema-Loader - Dynamic definition of a DBIx::Class::Schema
Review Request: perl-DBIx-Class-Schema-Loader - Dynamic definition of a DBIx:...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/DBIx-Clas...
:
Depends On:
Blocks: 454029
  Show dependency treegraph
 
Reported: 2008-07-23 02:00 EDT by Chris Weyl
Modified: 2010-09-02 17:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 19:58:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-07-23 02:00:54 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-DBIx-Class-Schema-Loader-0.04005-1.fc9.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-DBIx-Class-Schema-Loader.spec

Description:
DBIx::Class::Schema::Loader automates the definition of a
DBIx::Class::Schema by scanning database table definitions
and setting up the columns, primary keys, and relationships.
Comment 1 Parag AN(पराग) 2008-07-23 04:08:32 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=733382
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
d9e112493df06800862b93bf46760c4f  DBIx-Class-Schema-Loader-0.04005.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=13, Tests=238, 13 wallclock secs ( 0.05 usr  0.02 sys +  1.58 cusr  0.35
csys =  2.00 CPU)

+ Package perl-DBIx-Class-Schema-Loader-0.04005-1.fc10 =>
Provides:
 perl(DBIx::Class::Schema::Loader) = 0.04005
perl(DBIx::Class::Schema::Loader::Base) = 0.04005
perl(DBIx::Class::Schema::Loader::DBI) = 0.04005
perl(DBIx::Class::Schema::Loader::DBI::DB2) = 0.04005
perl(DBIx::Class::Schema::Loader::DBI::Pg) = 0.04005
perl(DBIx::Class::Schema::Loader::DBI::SQLite) = 0.04005
perl(DBIx::Class::Schema::Loader::DBI::Writing) = 0.04005
perl(DBIx::Class::Schema::Loader::DBI::mysql) = 0.04005
perl(DBIx::Class::Schema::Loader::RelBuilder) = 0.04005

Requires: perl(Carp::Clan) perl(Class::C3) perl(Cwd) perl(DBIx::Class)
perl(DBIx::Class::Schema::Loader::RelBuilder) perl(Data::Dump) perl(Digest::MD5)
perl(File::Spec) perl(Lingua::EN::Inflect::Number) perl(POSIX)
perl(Scalar::Util) perl(Text::Balanced) perl(UNIVERSAL::require) perl(base)
perl(strict) perl(warnings)

APPROVED.
Comment 2 Chris Weyl 2008-07-23 10:44:11 EDT
New Package CVS Request
=======================
Package Name: perl-DBIx-Class-Schema-Loader
Short Description: Dynamic definition of a DBIx::Class::Schema
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2008-07-23 12:01:44 EDT
cvs done.
Comment 4 Chris Weyl 2008-07-23 19:58:12 EDT
Imported and building.  Thanks for the review! :)
Comment 5 Iain Arnell 2010-09-02 10:31:42 EDT
Package Change Request
======================
Package Name: perl-DBIx-Class-Schema-Loader
New Branches: el6
Owners: iarnell tremble
Comment 6 Kevin Fenzi 2010-09-02 17:21:40 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.